gtkmm: Gdk::DisplayManager Class Reference

gtkmm 3.13.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gdk::DisplayManager Class Reference

The purpose of the GdkDisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes. More...

`#include <gdkmm/displaymanager.h>`

Inheritance diagram for Gdk::DisplayManager:
[legend]

## Public Member Functions
virtual | ~DisplayManager ()
GdkDisplayManager* | gobj ()
| Provides access to the underlying C GObject. More...
const GdkDisplayManager* | gobj () const
| Provides access to the underlying C GObject. More...
GdkDisplayManager* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Display > | get_default_display ()
| Gets the default Gdk::Display. More...
Glib::RefPtr< const Display > | get_default_display () const
| Gets the default Gdk::Display. More...
void | set_default_display (const Glib::RefPtr< Display >& display)
| Sets display as the default display. More...
std::vector< Glib::RefPtr < Display > > | list_displays ()
| List all currently open displays. More...
Glib::RefPtr< Display > | open_display (const Glib::ustring& name)
| Opens a display. More...
Glib::PropertyProxy < Glib::RefPtr< Display > > | property_default_display ()
| The default display for GDK. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Display > > | property_default_display () const
| The default display for GDK. More...
Glib::SignalProxy1< void, const Glib::RefPtr< Display >& > | signal_display_opened ()

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr < DisplayManager > | get ()
| Gets the singleton Gdk::DisplayManager object. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gdk::DisplayManager > | wrap (GdkDisplayManager* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

The purpose of the GdkDisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes.

## Constructor & Destructor Documentation

virtual Gdk::DisplayManager::~DisplayManager | ( |  | ) |
| virtual

## Member Function Documentation

static Glib::RefPtr<DisplayManager> Gdk::DisplayManager::get | ( |  | ) |
| static

Gets the singleton Gdk::DisplayManager object.

When called for the first time, this function consults the `GDK_BACKEND` environment variable to find out which of the supported GDK backends to use (in case GDK has been compiled with multiple backends). Applications can use gdk_set_allowed_backends() to limit what backends can be used.

Since gtkmm 2.2:
  Returns
    The global Gdk::DisplayManager singleton; gdk_parse_args(), gdk_init(), or gdk_init_check() must have been called first.

Glib::RefPtr<Display> Gdk::DisplayManager::get_default_display | ( |  | ) |

Gets the default Gdk::Display.

Since gtkmm 2.2:
  Returns
    A Gdk::Display, or `0` if there is no default display.

Glib::RefPtr<const Display> Gdk::DisplayManager::get_default_display | ( |  | ) | const

Gets the default Gdk::Display.

Since gtkmm 2.2:
  Returns
    A Gdk::Display, or `0` if there is no default display.

static GType Gdk::DisplayManager::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GdkDisplayManager* Gdk::DisplayManager::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GdkDisplayManager* Gdk::DisplayManager::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GdkDisplayManager* Gdk::DisplayManager::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

std::vector< Glib::RefPtr<Display> > Gdk::DisplayManager::list_displays | ( |  | ) |

List all currently open displays.

Since gtkmm 2.2:
  Returns
    A list of Gdk::Display objects.

Glib::RefPtr<Display> Gdk::DisplayManager::open_display | ( | const Glib::ustring & | name | ) |

Opens a display.

Since gtkmm 3.0:
  Parameters

    name | The name of the display to open.

  Returns
    A Gdk::Display, or `0` if the display could not be opened.

Glib::PropertyProxy< Glib::RefPtr<Display> > Gdk::DisplayManager::property_default_display | ( |  | ) |

The default display for GDK.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Display> > Gdk::DisplayManager::property_default_display | ( |  | ) | const

The default display for GDK.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gdk::DisplayManager::set_default_display | ( | const Glib::RefPtr< Display >& | display | ) |

Sets display as the default display.

Since gtkmm 2.2:
  Parameters

    display | A Gdk::Display.

Glib::SignalProxy1< void,const Glib::RefPtr<Display>& > Gdk::DisplayManager::signal_display_opened | ( |  | ) |

Slot Prototype:
  `void on_my_display_opened(const Glib::RefPtr<Display>& display)`

The signal_display_opened() signal is emitted when a display is opened.

Since gtkmm 2.2:
  Parameters

    display | The opened display.

## Friends And Related Function Documentation

Glib::RefPtr< Gdk::DisplayManager > wrap | ( | GdkDisplayManager * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.